%{
#include "config.h"
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include "sensor.h"
#include "sensor_yacc.h"
    int  yy_line_num = 1;
    char *name;
    char *expression;
    int  number;
int yywrap()
{
    return 1;
}
%}
%s COMMENT
%p 5000
%a 10000
%n 1000
%%
"#".*				{}
"/*"			BEGIN(COMMENT);
<COMMENT>[^*\n]*	/* eat anything that's not a '*' */;
<COMMENT>"*"+[^*/\n]*	/* eat up '*'s not followed by '/'s */;
<COMMENT>\n		++yy_line_num;
<COMMENT>"*"+"/"	BEGIN(INITIAL);
event[\t ]+sensor	return(EVENTSENSOR);
state[\t ]+sensor	return(STATESENSOR);
sampling[\t ]+sensor	return(SAMPLESENSOR);
sample[\t ]+sensor	return(SAMPLESENSOR);
sensor			return(SENSOR);
sample[\t ]+attribute	return(SAMPATTR);
sampling[\t ]+attribute	return(SAMPATTR);
sample[\t ]+attributes	return(SAMPATTR);
sampling[\t ]+attributes return(SAMPATTR);
attribute		return(ATTRIBUTE);
attributes		return(ATTRIBUTE);
location		return(LOCATION);
policy			return(POLICY);
DEFAULT			return(DEFAULT);
default			return(DEFAULT);
USER_SPECIFY		return(USER_SPECIFY);
user_specify		return(USER_SPECIFY);
VERBATIM		return(VERBATIM);
verbatim		return(VERBATIM);
before[\t ]+procedure[\t ]+call		return(BEFORE_PROC_CALL);
after[\t ]+procedure[\t ]+call		return(AFTER_PROC_CALL);
beginning[\t ]+of[\t ]+procedure 	return(BEGINNING_PROC);
end[\t ]+of[\t ]+procedure		return(END_PROC);
before[\t ]+send	return(BEFORE_SEND);
after[\t ]+receive	return(AFTER_RECEIVE);
before[\t ]+receive	return(BEFORE_RECEIVE);
before[\t ]+access	return(BEFORE_SH_ACCESS);
after[\t ]+access	return(AFTER_SH_ACCESS);
at[\t ]+lines		return(AT_LINES);
in[\t ]+file		return(IN_FILE);
after[\t ]+send		return(AFTER_SEND);
string			return(STRING);
char[\t ]*"*"		return(CHARSTAR);
unsigned[\t ]+char	return(UCHAR);
unsigned[\t ]+short	return(USHORT);
unsigned[\t ]+int	return(UINT);
unsigned[\t ]+long	return(ULONG);
char			return(CHAR);
short			return(SHORT);
int			return(INT);
long			return(LONG);
float			return(FLOAT);
double			return(DOUBLE);
","			return(COMMA);
":"			return(COLON);
";"			return(SEMICOLON);
"="			return(EQUAL);
"{"			return(LPARAN);
"}"			return(RPARAN);
"["			return(LBRACKET);
"]"			return(RBRACKET);
[A-Za-z][A-Za-z0-9\._]* {StringInit(name, yytext);return(ID);}
[0-9]+			{number = atoi(yytext); return(NUMBER);}
"("[ A-Za-z0-9()\._\[\]=*%+\-/!?&|<>]+")" {StringInit(expression, yytext); return(EXPRESSION);}
[\t ]+			;
\n			++yy_line_num;
%%
