#ifndef actionable_H
#define actionable_H
/**********************************************************************
 **                                                                  **
 **  actionable.h                                                    **
 **                                                                  **
 **  A baseclass used to flag an environmental object as the target  **
 **  of an action, and to maintain status information on the action. **
 **                                                                  **
 **  Written by:  Douglas C. MacKenzie                               **
 **                                                                  **
 **  Copyright 1996-2003.  All Rights Reserved.                      **
 **  Mobile Intelligence Corporation                                 **
 **  Livonia, Michigan, USA                                          **
 **                                                                  **
 **********************************************************************/

/* $Id: actionable.h,v 1.1.1.1 2006/07/12 13:37:54 endo Exp $ */

/**********************************************************************
* $Log: actionable.h,v $
* Revision 1.1.1.1  2006/07/12 13:37:54  endo
* MissionLab 7.0
*
* Revision 1.1  2006/07/01 00:21:03  endo
* CMDLi from MARS 2020 migrated into AO-FNC repository.
*
* Revision 1.1.1.1  2006/06/29 20:42:07  endo
* cmdli local repository.
*
* Revision 1.3  2004/08/13 17:31:02  doug
* add streamout capability
*
* Revision 1.2  2004/05/11 19:34:39  doug
* massive changes to integrate with USC and GaTech
*
* Revision 1.1  2003/03/25 21:45:13  doug
* moved libccl_code to the sara namespace
*
**********************************************************************/

                                                                                                                                                                  
namespace sara
{

// **********************************************************************
class actionable
{
public:
   /// Constructors
   actionable();

   /// destructor
   ~actionable();

   /// The status of the associated action
   typedef enum {UNASSIGNED=0, ASSIGNED, ACTIVE, PERMENENT_FAILURE, TEMPORARY_FAILURE, COMPLETED} STATUS;
   STATUS status;

   /// Stream out the value
   friend ostream & operator << (ostream & out, const actionable &obj);

};
}
// **********************************************************************
#endif
