/**********************************************************************
 **                                                                  **
 **  polygon_extra.cc                                                **
 **                                                                  **
 **  Factory object to create the extra data record for polygons     **
 **                                                                  **
 **  Written by:  Douglas C. MacKenzie                               **
 **                                                                  **
 **  Copyright 1996-1998.  All Rights Reserved.                      **
 **  Mobile Intelligence Corporation                                 **
 **  Alto, Michigan, USA                                             **
 **                                                                  **
 **********************************************************************/

/* $Id: polygon_extra.cc,v 1.1.1.1 2006/07/12 13:37:54 endo Exp $ */

/**********************************************************************
* $Log: polygon_extra.cc,v $
* Revision 1.1.1.1  2006/07/12 13:37:54  endo
* MissionLab 7.0
*
* Revision 1.1  2006/07/01 00:21:04  endo
* CMDLi from MARS 2020 migrated into AO-FNC repository.
*
* Revision 1.1.1.1  2006/06/29 20:42:07  endo
* cmdli local repository.
*
* Revision 1.2  2004/05/11 19:34:39  doug
* massive changes to integrate with USC and GaTech
*
* Revision 1.1  2002/09/20 13:05:19  doug
* Initial revision
*
**********************************************************************/

#include "mic.h"
#include "polygon_extra.h"

namespace sara
{
/**********************************************************************/

/// Holds the pointer to the factory function
polygon_extra *(* polygon_extra::factory)(class polygon *) = NULL;

/**********************************************************************/
// Create an extra record
polygon_extra *
polygon_extra::create(class polygon *p)
{
   if( factory )
   {
      return factory(p);
   }
   else
   {
      return NULL;
   }
}

/*********************************************************************/
}
