/**********************************************************************
 **                                                                  **
 **                          CNPInterceptTask.h                      **
 **                                                                  **
 **  Written by: Patrick Ulam                                        **
 **                                                                  **
 **  Copyright 2006 Georgia Tech Research Corporation                **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: CNPInterceptTask.h,v 1.1.1.1 2006/07/12 13:37:55 endo Exp $ */

#ifndef CNP_INTERCEPT_TASK_H
#define CNP_INTERCEPT_TASK_H

#include "AbstractCNPTask.h"
#include "cnp_server_manager.h"
#include <string>
#include <list>

using std::string;
using std::list;

class CNPInterceptTask : public AbstractCNPTask {

 public:
  CNPInterceptTask()  {};

 public:
  const string    GetTaskName();
  double          CalculateBid(list< struct CNP_RobotConstraint> lstRobotConstraints);

};

#endif
/**********************************************************************
 * $Log: CNPInterceptTask.h,v $
 * Revision 1.1.1.1  2006/07/12 13:37:55  endo
 * MissionLab 7.0
 *
 * Revision 1.4  2006/05/02 04:12:58  endo
 * TrackTask improved for the experiment.
 *
 **********************************************************************/
